# Created by pyp2rpm-3.1.2
%global pypi_name hug

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        4%{?dist}
Summary:        A Python framework that makes developing APIs simple

License:        MIT
URL:            https://github.com/timothycrosley/hug
Source0:        https://pypi.io/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch001:       0001-Fix-bytecompiling-with-python-3.7.patch

BuildRequires:  gcc
BuildRequires:  git

%description
hug aims to make developing Python driven APIs as simple as possible,
but no simpler. As a result, it drastically simplifies Python API development.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-falcon = 1.4.1
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
# Note: tests are failing to run currently
#BuildRequires:  python3-mock
#BuildRequires:  python3-pytest
#BuildRequires:  python3-requests

Requires:       python3-falcon = 1.4.1
Requires:       python3-requests
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
%{summary}

%prep
%autosetup -n %{pypi_name}-%{version} -S git
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/hug
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 2.4.0-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Aug 14 2018 Haïkel Guémar <hguemar@fedoraproject.org> - 2.4.0-1
- Upstream 2.4.0
- Bump Falcon requirement

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.3.0-6
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Sep 10 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 2.3.0-4
- Rebuild against newer python-falcon

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat May 20 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 2.3.0-1
- Upstream 2.3.0
- Switch to arch-dependent build to match python-falcon

* Wed Nov  2 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 2.2.0-1
- Upstream 2.2.0

* Fri Sep  2 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 2.1.2-1
- Initial package.
